Saltar al contenido principal

Equipment Sharing Endpoints

Manage equipment sharing requests and policies between employees.

Base Pathโ€‹

/api/equipment-sharing

Endpointsโ€‹

List Sharing Requestsโ€‹

GET /api/equipment-sharing
Authorization: Bearer {token}

Get by Employeeโ€‹

GET /api/equipment-sharing/employee/:id
Authorization: Bearer {token}

Get by Organizationโ€‹

GET /api/equipment-sharing/organization
Authorization: Bearer {token}

Create Sharing Requestโ€‹

POST /api/equipment-sharing
Authorization: Bearer {token}

Request Body:

{
"name": "MacBook Pro Sharing",
"equipmentId": "equipment-uuid",
"shareRequestDay": "2025-01-15",
"shareStartDay": "2025-01-20",
"shareEndDay": "2025-02-20",
"status": "REQUESTED",
"employees": ["employee-uuid-1"]
}

Update Requestโ€‹

PUT /api/equipment-sharing/:id
Authorization: Bearer {token}

Delete Requestโ€‹

DELETE /api/equipment-sharing/:id
Authorization: Bearer {token}

Sharing Statusesโ€‹

StatusDescription
REQUESTEDRequest submitted
APPROVEDRequest approved
REJECTEDRequest rejected
ACTIVEEquipment currently shared
RETURNEDEquipment returned

Permissionsโ€‹

ActionRequired Permission
ViewORG_EQUIPMENT_SHARING_VIEW
EditORG_EQUIPMENT_SHARING_EDIT